<template>
  <section id="app">
    <div id="layout">
      <div class="card">
        <transition name="fade" mode="out-in">
          <router-view />
        </transition>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "app",
  data: function() {
    return {
      message: "Hello"
    };
  },
  props: ["bgTop"],
  method: {},
  components: {}
};
</script>

<style lang="scss">
$coef: 2;
html,
body {
  margin: 0;
  padding: 0;
}
@font-face {
  font-family: "Pokemon";
  src: url("~@/assets/fonts/Pokemon.ttf");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "PokemonGb";
  src: url("~@/assets/fonts/PokemonGb.ttf");
  font-weight: normal;
  font-style: normal;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
  user-select: none !important;

  background-color: #eeeef1;
  width: 100%;
  min-height: 100vh;
  margin: 0;
  overflow: hidden;
  background: linear-gradient(
    #7d1827 5%,
    red 48%,
    black 48%,
    black 51%,
    white 51%,
    #cadbd1 100%
  );
  display: flex;
  justify-content: center;
  flex-direction: column;

  #layout {
    display: flex;
    justify-content: center;
    min-height: 100%;
    .card {
      border: 3px solid white !important;
      box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3),
        0 15px 12px rgba(0, 0, 0, 0.22);
      max-width: 80vw;
      display: flex;
      justify-content: center;
      flex-direction: column;
      .top-screen {
        overflow: hidden;
        max-width: 100%;
        width: calc(256px * #{$coef});
        height: calc(192px * #{$coef});
        image-rendering: crisp-edges;
        background-image: url("~@/assets/background-home.png");
        background-repeat: no-repeat;
        background-size: 100% auto;
        background-position: center auto;
        // background-color: black;
        display: flex;
        justify-content: flex-end;
        flex-direction: column;
        .text-box {
          // word-break: break-all;
          word-break: break-word;
          width: 100%;
          font-family: PokemonGb;
          padding: 0.85em 3em 0 2em;
          text-align: left;
          height: calc(45px * #{$coef});
          background-image: url("~@/assets/text-box.png");
          background-repeat: no-repeat;
          background-size: 100% 100%;
          background-position: center center;
          overflow: hidden;
          display: -webkit-box;
          -webkit-line-clamp: 3;
          -webkit-box-orient: vertical;
        }
      }
      .middle-screen {
        background: white;
        height: 3px;
      }
      .bottom-screen {
        overflow: hidden;
        max-width: 100%;
        width: calc(256px * #{$coef});
        height: calc(192px * #{$coef});
        image-rendering: crisp-edges;
        background-image: url("~@/assets/background-bottom-screen.png");
        background-repeat: no-repeat;
        background-size: 100% 100%;
        padding: 1em;
        display: flex;
        justify-content: center;
        flex-direction: column;
        button {
          width: 100%;
        }
      }
    }
  }
}
</style>
